#include "colors.inc"
#include "woods.inc"

//J̐ݒ
camera{
    location <-200,130,0>
    look_at <0,115,0>
    angle 65
}
//Ԑڌ̃Cg
light_source {<-200,130,0> color<1,1,1>*0.3}
//ũCg
#declare i=0;
#while (i<36)
  light_source{<17*cos(i*2*pi/36),190,17*sin(i*2*pi/36)> color<1,1,1>*0.9/36}
  #declare i=i+1;
#end

union{
  //\IuWFNg
  object{torus {17, 1.5} pigment{color rgb<1,1,1>} finish{ambient 1} no_shadow}
  //VF[h\IuWFNg
  #declare top_radius=18;
  #declare top_width=0.1;
  #declare top_y=6;
  #declare sphere_radius=45;
  union{
    object{cylinder{<0,top_y-top_width,0> <0,top_y,0> top_radius}}
    difference{
      object{sphere{<0,top_y-sqrt(sphere_radius*sphere_radius-top_radius*top_radius),0>,sphere_radius}}
      object{sphere{<0,top_y-sqrt(sphere_radius*sphere_radius-top_radius*top_radius),0>,sphere_radius-top_width}}
      object{plane{<0,1,0>,-top_y}}
      object{plane{<0,-1,0>,-top_y}}
    }
    pigment{color rgbt<0.55,0.09,0.09,0.2>*0.9}
  }
  translate y*190
}
//VF[ht
object{cone{<0,top_y,0>,5,<0,top_y+8,0>,0.5} pigment{color <0,0,0>}}
object{cylinder{<0,190+top_y+8,0> <0,300,0> 0.5}pigment{color<1,1,1>}}
//
union{
  object{box{<-45,75,-90> <45,90,90>}}
  object{box{<0,0,0> <5,85,5>} translate <-45,0,-90>}
  object{box{<0,0,0> <5,85,5>} translate <-45,0,85>}
  object{box{<0,0,0> <5,85,5>} translate <40,0,-90>}
  object{box{<0,0,0> <5,85,5>} translate <40,0,-85>}
  texture{T_Wood29 scale 10 rotate x*0}
}
//̃{[
object{sphere {<0,100,-30> 10} texture{T_Wood29 scale 10 }}
//
difference{
  object{box{<-361,-1,-361> <361,301,361>}}
  object{box{<-360,0,-360> <360,300,360>}}
  pigment{color rgb<1,1,0.70>}
}